function ParseGeneric(value, groep, path)
    for i=1,32
    do
        local number = groep * 32 + i
        nxa.WriteValue(path .. number, hasbit(value, i));
    end
end

function ParseOmittingState(groep)
    local source = nxa.SourceValue()
	local path = "NETx\\VIRTUAL\\SBCGalaxy\\OmittingState\\Zone"
	ParseGeneric(source, groep, path)
end

function ParseState(groep)
    local source = nxa.SourceValue()
	local path = "NETx\\VIRTUAL\\SBCGalaxy\\State\\Zone"
	ParseGeneric(source, groep, path)
end

function ParseAlarmState(groep)
    local source = nxa.SourceValue()
	local path = "NETx\\VIRTUAL\\SBCGalaxy\\AlarmState\\Zone"
	ParseGeneric(source, groep, path)
end

function ParseRealStateOpenClosed(groep)
    local source = nxa.SourceValue()
	local path = "NETx\\VIRTUAL\\SBCGalaxy\\RealState\\OpenClosed\\Zone"
	ParseGeneric(source, groep, path)
end

function ParseRealStateOkTamper(groep)
    local source = nxa.SourceValue()
	local path = "NETx\\VIRTUAL\\SBCGalaxy\\RealState\\OkTamper\\Zone"
	ParseGeneric(source, groep, path)
end

function ParseRealStateOkTrouble(groep)
    local source = nxa.SourceValue()
	local path = "NETx\\VIRTUAL\\SBCGalaxy\\RealState\\OkTrouble\\Zone"
	ParseGeneric(source, groep, path)
end

function ParseOutputState(groep)
    local source = nxa.SourceValue()
	local path = "NETx\\VIRTUAL\\SBCGalaxy\\OutputState\\Output"
	ParseGeneric(source, groep, path)
end